<header>
    <h2 class="about">À Propos</h2>
    <a class="map-link" href="index.php" aria-label="Cliquer pour accéder à la carte des données" title="Cliquer pour accéder à la carte des données"></a>
</header>
<div class='flex'>
     <?php foreach ($articles as $key => $article) { ?>
            <?php if ($key === 1) { ?>
               <iframe src="https://www.youtube.com/embed/le9y7rPXU6o" title="YouTube video player" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" allowfullscreen></iframe>
            <?php } ?>
            <div class="container <?php echo ($key === 1) ? ' last-container' : ''; ?>">
                <?php if (isset($article['title']) && $article['title'] != null) { ?>
                    <h3 class="<?php echo ($key === 1) ? ' last-title' : ''; ?>"><?= htmlspecialchars($article['title'], ENT_QUOTES); ?></h3>
                <?php } ?>
                <?php if (isset($article['img']) && $article['img'] != null) { 
                    $extension = pathinfo($article['img'], PATHINFO_EXTENSION);?>  
                    <img class="float" src="./public/uploads/article_img/<?= $extension ?>/<?= htmlspecialchars($article['img'], ENT_QUOTES); ?>" alt="logo">
                <?php } ?>  
                <?php if (isset($article['content']) && $article['content'] != null) { ?>
                    <p class="<?php echo ($key === 1) ? ' custom-paragraph' : ''; ?>"><?= htmlspecialchars($article['content'], ENT_QUOTES); ?></p>
                <?php } ?>
                <?php if (isset($article['link_url']) && $article['link_url'] != null && isset($article['link_name']) && $article['link_name'] != null) { ?>
                    <a class="btn link" href="<?= $article['link_url']; ?>"><?= htmlspecialchars($article['link_name'], ENT_QUOTES); ?></a>
                <?php } ?>
            </div>
     <?php } ?>
</div>
